%{?nodejs_find_provides_and_requires}

%global packagename aws-sign2
%global enable_tests 1
# keep tests enabled, but there really are no tests

Name:		nodejs-aws-sign2
Version:	0.6.0
Release:	1%{?dist}
Summary:	AWS signing module

License:	ASL 2.0
URL:		https://github.com/mikeal/aws-sign.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
AWS signing. Originally pulled from LearnBoost/knox, maintained as vendor in
request, now a standalone module.


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
echo "There are no tests..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Oct 28 2015 Jared Smith <jsmith@fedoraproject.org> - 0.6.0-1
- Initial packaging
